Package wx :: Class PyWindow

[frames | no frames]

## Type PyWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        PyWindow

Known Subclasses:
  `AnalogClock`

Proxy of C++ PyWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| ``base_AcceptsFocus`(*args, **kwargs)` Please use PyWindow.AcceptsFocus instead.
| ``base_AcceptsFocusFromKeyboard`(*args, **kwargs)` Please use PyWindow.AcceptsFocusFromKeyboard instead.
| ``base_AddChild`(*args, **kwargs)` Please use PyWindow.AddChild instead.
| ``base_DoGetBestSize`(*args, **kwargs)` Please use PyWindow.DoGetBestSize instead.
| ``base_DoGetClientSize`(*args, **kwargs)` Please use PyWindow.DoGetClientSize instead.
| ``base_DoGetPosition`(*args, **kwargs)` Please use PyWindow.DoGetPosition instead.
| ``base_DoGetSize`(*args, **kwargs)` Please use PyWindow.DoGetSize instead.
| ``base_DoGetVirtualSize`(*args, **kwargs)` Please use PyWindow.DoGetVirtualSize instead.
| ``base_DoMoveWindow`(*args, **kwargs)` Please use PyWindow.DoMoveWindow instead.
| ``base_DoSetClientSize`(*args, **kwargs)` Please use PyWindow.DoSetClientSize instead.
| ``base_DoSetSize`(*args, **kwargs)` Please use PyWindow.DoSetSize instead.
| ``base_DoSetVirtualSize`(*args, **kwargs)` Please use PyWindow.DoSetVirtualSize instead.
| ``base_GetDefaultAttributes`(*args, **kwargs)` Please use PyWindow.GetDefaultAttributes instead.
| ``base_GetMaxSize`(*args, **kwargs)` Please use PyWindow.GetMaxSize instead.
| ``base_InitDialog`(*args, **kwargs)` Please use PyWindow.InitDialog instead.
| ``base_OnInternalIdle`(*args, **kwargs)` Please use PyWindow.OnInternalIdle instead.
| ``base_RemoveChild`(*args, **kwargs)` Please use PyWindow.RemoveChild instead.
| ``base_ShouldInheritColours`(*args, **kwargs)` Please use PyWindow.ShouldInheritColours instead.
| ``base_TransferDataFromWindow`(*args, **kwargs)` Please use PyWindow.TransferDataFromWindow instead.
| ``base_TransferDataToWindow`(*args, **kwargs)` Please use PyWindow.TransferDataToWindow instead.
| ``base_Validate`(*args, **kwargs)` Please use PyWindow.Validate instead.
bool | `DoEraseBackground(self, dc)`
Size | `DoGetBestSize(self)`
(width, height) | `DoGetClientSize()`
(x,y) | `DoGetPosition()`
(width, height) | `DoGetSize()`
Size | `DoGetVirtualSize(self)`
| `DoMoveWindow(self, x, y, width, height)`
| `DoSetClientSize(self, width, height)`
| `DoSetSize(self, x, y, width, height, sizeFlags)`
| `DoSetVirtualSize(self, x, y)`
VisualAttributes | ``GetDefaultAttributes`(self)` Get the default attributes for an instance of this class.
| `OnInternalIdle(self)`
| ``SetBestSize`(self, size)` A 'Smart' SetSize that will fill in default size components with the window's best size values.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=0, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### base_AcceptsFocus(*args, **kwargs)

Please use PyWindow.AcceptsFocus instead.

### base_AcceptsFocusFromKeyboard(*args, **kwargs)

Please use PyWindow.AcceptsFocusFromKeyboard instead.

### base_AddChild(*args, **kwargs)

Please use PyWindow.AddChild instead.

### base_DoGetBestSize(*args, **kwargs)

Please use PyWindow.DoGetBestSize instead.

### base_DoGetClientSize(*args, **kwargs)

Please use PyWindow.DoGetClientSize instead.

### base_DoGetPosition(*args, **kwargs)

Please use PyWindow.DoGetPosition instead.

### base_DoGetSize(*args, **kwargs)

Please use PyWindow.DoGetSize instead.

### base_DoGetVirtualSize(*args, **kwargs)

Please use PyWindow.DoGetVirtualSize instead.

### base_DoMoveWindow(*args, **kwargs)

Please use PyWindow.DoMoveWindow instead.

### base_DoSetClientSize(*args, **kwargs)

Please use PyWindow.DoSetClientSize instead.

### base_DoSetSize(*args, **kwargs)

Please use PyWindow.DoSetSize instead.

### base_DoSetVirtualSize(*args, **kwargs)

Please use PyWindow.DoSetVirtualSize instead.

### base_GetDefaultAttributes(*args, **kwargs)

Please use PyWindow.GetDefaultAttributes instead.

### base_GetMaxSize(*args, **kwargs)

Please use PyWindow.GetMaxSize instead.

### base_InitDialog(*args, **kwargs)

Please use PyWindow.InitDialog instead.

### base_OnInternalIdle(*args, **kwargs)

Please use PyWindow.OnInternalIdle instead.

### base_RemoveChild(*args, **kwargs)

Please use PyWindow.RemoveChild instead.

### base_ShouldInheritColours(*args, **kwargs)

Please use PyWindow.ShouldInheritColours instead.

### base_TransferDataFromWindow(*args, **kwargs)

Please use PyWindow.TransferDataFromWindow instead.

### base_TransferDataToWindow(*args, **kwargs)

Please use PyWindow.TransferDataToWindow instead.

### base_Validate(*args, **kwargs)

Please use PyWindow.Validate instead.

### GetDefaultAttributes(self)

Get the default attributes for an instance of this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

  Returns:
    VisualAttributes
  Overrides:
    `wx.Window.GetDefaultAttributes` (inherited documentation)

### SetBestSize(self, size=DefaultSize)

A 'Smart' SetSize that will fill in default size components with the window's best size values. Also set's the minsize for use with sizers.

  Parameters:
    `size`
    (type=Size)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:54 2007 | http://epydoc.sf.net